ctrl+shift+p filters: :st2 :st3 :win :osx :linux
Browse

Sublime​Linter-raml-cop

by SublimeLinter ST3

SublimeLinter plugin for RAML, using raml-cop.

Details

  • 6.0.0
  • github.​com
  • github.​com
  • 10 months ago
  • 19 minutes ago
  • 6 years ago

Installs

  • Total 1K
  • Win 773
  • Mac 486
  • Linux 203
Aug 9 Aug 8 Aug 7 Aug 6 Aug 5 Aug 4 Aug 3 Aug 2 Aug 1 Jul 31 Jul 30 Jul 29 Jul 28 Jul 27 Jul 26 Jul 25 Jul 24 Jul 23 Jul 22 Jul 21 Jul 20 Jul 19 Jul 18 Jul 17 Jul 16 Jul 15 Jul 14 Jul 13 Jul 12 Jul 11 Jul 10 Jul 9 Jul 8 Jul 7 Jul 6 Jul 5 Jul 4 Jul 3 Jul 2 Jul 1 Jun 30 Jun 29 Jun 28 Jun 27 Jun 26
Windows 0 0 0 0 0 0 0 0 0 0 1 1 1 0 0 0 0 1 2 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
Mac 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0
Linux 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0

Readme

Source
raw.​githubusercontent.​com

SublimeLinter-raml-cop

Build Status

This linter plugin for SublimeLinter provides an interface to raml-cop.

Installation

SublimeLinter must be installed in order to use this plugin.

Install via Package Control or git clone as usual.

Ensure that raml-cop is installed on your system. To install raml-cop, do the following:

  1. Install Node.js (and npm on Linux).

  2. Install raml-cop by typing the following in a terminal:

npm install -g raml-cop
  1. If you are using nvm and zsh, ensure that the line to load nvm is in .zshenv and not .zshrc.

  2. If you are using zsh and oh-my-zsh, do not load the nvm plugin for oh-my-zsh.

In order for raml-cop to be executed by SublimeLinter, you must ensure that its path is available to SublimeLinter. Before going any further, please read and follow the steps in “Finding a linter executable” through “Validating your PATH” in the documentation

Settings